Bug 604011 - lacks tcpdchk and tcpdmatch support
lacks tcpdchk and tcpdmatch support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tcp_wrappers (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 03:23 EDT by Pascal Dupuis
Modified: 2010-07-19 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: tcp_wrappers-7.6-59.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 13:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal Dupuis 2010-06-15 03:23:35 EDT
Description of problem: maybe I missed something, but man hosts.allow refers, in the SEE ALSO section, to tcpdchkand tcpdmatch which are a check and a test program. I didn't find any trace of those programs. I'm currently trying to debug why a connection is refused by tcpwrappers, although it should be allowed inside hosts.allow


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. tcpdmatch
2.
3.
  
Actual results: command not found


Expected results:


Additional info: should be part of the tcp_wrapper package
Comment 1 Jan F. Chadima 2010-06-16 08:36:12 EDT
tcpdchk is tool based on presence /etc/ined.conf file which does not exist in redhat/fedora. The tool can not correctly handle any service without inetd.conf record. The tcpdmatch uses /etc/inetd.conf also I'l try to make some inetd.conf independent clone if possible.
Comment 2 Fedora Update System 2010-06-16 09:06:56 EDT
tcp_wrappers-7.6-59.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tcp_wrappers-7.6-59.fc13
Comment 3 Fedora Update System 2010-06-21 09:02:02 EDT
tcp_wrappers-7.6-59.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tcp_wrappers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tcp_wrappers-7.6-59.fc13
Comment 4 Pascal Dupuis 2010-06-21 16:48:49 EDT
Downloaded -- tested -- approved

Thanks for the fast reply

Pascal Dupuis
Comment 5 Fedora Update System 2010-07-07 13:39:28 EDT
tcp_wrappers-7.6-59.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Michael Breuer 2010-07-17 10:36:55 EDT
Not fixed in tcp_wrappers-7.6.59.fc13.x86_64.
Comment 7 Jan F. Chadima 2010-07-19 08:37:42 EDT
[jfch@hagar tcp_wrappers]$ rpm2cpio tcp_wrappers-7.6-59.fc13.x86_64.rpm | cpio -t
./usr/sbin/safe_finger
./usr/sbin/tcpd
./usr/sbin/tcpdmatch
====================
./usr/sbin/try-from
./usr/share/doc/tcp_wrappers-7.6
./usr/share/doc/tcp_wrappers-7.6/BLURB
./usr/share/doc/tcp_wrappers-7.6/Banners.Makefile
./usr/share/doc/tcp_wrappers-7.6/CHANGES
./usr/share/doc/tcp_wrappers-7.6/DISCLAIMER
./usr/share/doc/tcp_wrappers-7.6/README
./usr/share/doc/tcp_wrappers-7.6/README.IRIX
./usr/share/doc/tcp_wrappers-7.6/README.NIS
./usr/share/man/man8/safe_finger.8.gz
./usr/share/man/man8/tcpd.8.gz
./usr/share/man/man8/tcpdmatch.8.gz
===================================
./usr/share/man/man8/try-from.8.gz
376 blocks

where is the problem?
Comment 8 Michael Breuer 2010-07-19 12:56:05 EDT
Where is tcpdchk?

Note You need to log in before you can comment on or make changes to this bug.